JobHistory.Keys (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum JobHistory.Keys

    java.lang.Object
      java.lang.Enum<JobHistory.Keys>
          org.apache.hadoop.mapred.JobHistory.Keys

All Implemented Interfaces:
  Serializable, Comparable<JobHistory.Keys>

Enclosing class:
  JobHistory

    public static enum JobHistory.Keys

extends Enum<JobHistory.Keys>

Job history files contain key="value" pairs, where keys belong to this enum. It acts as a global namespace for all keys.

Enum Constant Summary
`COPY_PHASE`
`COUNTERS`
`ERROR`
`FAILED_MAPS`
`FAILED_REDUCES`
`FINISH_TIME`
`FINISHED_MAPS`
`FINISHED_REDUCES`
`HOSTNAME`
`HTTP_PORT`
`JOB_PRIORITY`
`JOB_STATUS`
`JOBCONF`
`JOBID`
`JOBNAME`
`JOBTRACKERID`
`LAUNCH_TIME`
`REDUCE_PHASE`
`SHUFFLE_FINISHED`
`SORT_FINISHED`
`SORT_PHASE`
`SPLITS`
`START_TIME`
`STATE_STRING`
`SUBMIT_TIME`
`TASK_ATTEMPT_ID`
`TASK_STATUS`
`TASK_TYPE`
`TASKID`
`TOTAL_MAPS`
`TOTAL_REDUCES`
`TRACKER_NAME`
`USER`
`VERSION`

Method Summary
`static JobHistory.Keys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobHistory.Keys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JOBTRACKERID

    public static final JobHistory.Keys JOBTRACKERID

### START_TIME

    public static final JobHistory.Keys START_TIME

### FINISH_TIME

    public static final JobHistory.Keys FINISH_TIME

### JOBID

    public static final JobHistory.Keys JOBID

### JOBNAME

    public static final JobHistory.Keys JOBNAME

### USER

    public static final JobHistory.Keys USER

### JOBCONF

    public static final JobHistory.Keys JOBCONF

### SUBMIT_TIME

    public static final JobHistory.Keys SUBMIT_TIME

### LAUNCH_TIME

    public static final JobHistory.Keys LAUNCH_TIME

### TOTAL_MAPS

    public static final JobHistory.Keys TOTAL_MAPS

### TOTAL_REDUCES

    public static final JobHistory.Keys TOTAL_REDUCES

### FAILED_MAPS

    public static final JobHistory.Keys FAILED_MAPS

### FAILED_REDUCES

    public static final JobHistory.Keys FAILED_REDUCES

### FINISHED_MAPS

    public static final JobHistory.Keys FINISHED_MAPS

### FINISHED_REDUCES

    public static final JobHistory.Keys FINISHED_REDUCES

### JOB_STATUS

    public static final JobHistory.Keys JOB_STATUS

### TASKID

    public static final JobHistory.Keys TASKID

### HOSTNAME

    public static final JobHistory.Keys HOSTNAME

### TASK_TYPE

    public static final JobHistory.Keys TASK_TYPE

### ERROR

    public static final JobHistory.Keys ERROR

### TASK_ATTEMPT_ID

    public static final JobHistory.Keys TASK_ATTEMPT_ID

### TASK_STATUS

    public static final JobHistory.Keys TASK_STATUS

### COPY_PHASE

    public static final JobHistory.Keys COPY_PHASE

### SORT_PHASE

    public static final JobHistory.Keys SORT_PHASE

### REDUCE_PHASE

    public static final JobHistory.Keys REDUCE_PHASE

### SHUFFLE_FINISHED

    public static final JobHistory.Keys SHUFFLE_FINISHED

### SORT_FINISHED

    public static final JobHistory.Keys SORT_FINISHED

### COUNTERS

    public static final JobHistory.Keys COUNTERS

### SPLITS

    public static final JobHistory.Keys SPLITS

### JOB_PRIORITY

    public static final JobHistory.Keys JOB_PRIORITY

### HTTP_PORT

    public static final JobHistory.Keys HTTP_PORT

### TRACKER_NAME

    public static final JobHistory.Keys TRACKER_NAME

### STATE_STRING

    public static final JobHistory.Keys STATE_STRING

### VERSION

    public static final JobHistory.Keys VERSION

Method Detail

### values

    public static JobHistory.Keys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobHistory.Keys c : JobHistory.Keys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobHistory.Keys valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation